###################################################
### chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
library(Zelig)


###################################################
### chunk number 3: InputValues.list
###################################################
formulae <- list(cbind(Y1,Y2) ~ X1 + X2)


###################################################
### chunk number 4: InputValues.list.mu
###################################################
formulae <- list(mu1 = y1 ~ x1 + tag(x3, "x3"), 
                 mu2 = y2 ~ x2 + tag(x3, "x3"))


###################################################
### chunk number 5: BasicExample.data
###################################################
 data(sanction)
## sanction


###################################################
### chunk number 6: BasicExample.zelig
###################################################
 z.out1 <- zelig(cbind(import, export) ~ coop + cost + target, 
                  model = "blogit", data = sanction)


###################################################
### chunk number 7: BasicExample.setx.low
###################################################
 x.low <- setx(z.out1, cost = 1)


###################################################
### chunk number 8: BasicExample.setx.high
###################################################
x.high <- setx(z.out1, cost = 4)


###################################################
### chunk number 9: BasicExample.sim
###################################################
 s.out1 <- sim(z.out1, x = x.low, x1 = x.high)
 summary(s.out1)


###################################################
### chunk number 10: BasicExamplePlot
###################################################
 plot(s.out1)


###################################################
### chunk number 11: JointExample.zelig
###################################################
 z.out2 <- zelig(list(import ~ coop, export ~ cost + target), 
                  model = "blogit", data = sanction)
 summary(z.out2)


###################################################
### chunk number 12: JointExample.setx
###################################################
 x.out2 <- setx(z.out2)


###################################################
### chunk number 13: JointExample.sim
###################################################
 s.out2 <- sim(z.out2, x = x.out2)
 summary(s.out2)


###################################################
### chunk number 14: JointExamplePlot
###################################################
 plot(s.out2)


###################################################
### chunk number 15: JointEstimation.zelig
###################################################
 z.out3 <- zelig(list(import ~ tag(coop,"coop") + tag(cost,"cost") + 
                           tag(target,"target"), 
                       export ~ tag(coop,"coop") + tag(cost,"cost") + 
                           tag(target,"target")), 
                       model = "blogit", data = sanction)
 summary(z.out3)


###################################################
### chunk number 16: JointEstimation.setx
###################################################
x.out3 <- setx(z.out3, cost = 1:4)


###################################################
### chunk number 17: JointEstimation.sim
###################################################
 s.out3 <- sim(z.out3, x = x.out3)
 summary(s.out3)


###################################################
### chunk number 18: afterpkgs
###################################################
 after<-search()
 torm<-setdiff(after,before)
 for (pkg in torm)
 detach(pos=match(pkg,search()))


