###################################################
### chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
pkg <- search()
if(!length(grep("package:Zelig",pkg)))
library(Zelig)


###################################################
### chunk number 3: InputValues.list
###################################################
fml <- list(cbind(Y1,Y2) ~ X1 + X2)


###################################################
### chunk number 4: InputValues.list.rho
###################################################
fml <- list(mu1 = Y1 ~ X1 + X2,  
            mu2 = Y2 ~ X1 + X2, 
            rho = ~ 1)


###################################################
### chunk number 5: InputValues.list.mu
###################################################
fml <- list(mu1 = y1 ~ x1 + tag(x3, "age"), 
            mu2 = y2 ~ x2 + tag(x3, "age"))


###################################################
### chunk number 6: BasicExample.data
###################################################
 data(sanction)


###################################################
### chunk number 7: BasicExample.zelig
###################################################
 z.out1 <- zelig(cbind(import, export) ~ coop + cost + target, 
                  model = "bprobit", data = sanction)


###################################################
### chunk number 8: BasicExample.setx
###################################################
 x.low <- setx(z.out1, cost = 1)
 x.high <- setx(z.out1, cost = 4)


###################################################
### chunk number 9: BasicExample.sim
###################################################
 s.out1 <- sim(z.out1, x = x.low, x1 = x.high)
 summary(s.out1)


###################################################
### chunk number 10: BasicExamplePlot
###################################################
 plot(s.out1)


###################################################
### chunk number 11: JointEstimation.list
###################################################
 fml2 <- list(mu1 = import ~ coop, 
               mu2 = export ~ cost + target)


###################################################
### chunk number 12: JointEstimation.zelig
###################################################
 z.out2 <- zelig(fml2, model = "bprobit", data = sanction)
 summary(z.out2)


###################################################
### chunk number 13: JointEstimation.setx
###################################################
 x.out2 <- setx(z.out2)


###################################################
### chunk number 14: JointEstimation.sim
###################################################
 s.out2 <- sim(z.out2, x = x.out2)
 summary(s.out2)


###################################################
### chunk number 15: JointEstimationPlot
###################################################
 plot(s.out2)


###################################################
### chunk number 16: JointEstimationParam.list
###################################################
 fml3 <- list(mu1 = import ~ tag(coop,"coop") + tag(cost,"cost") + 
                          tag(target,"target"), 
               mu2 = export ~ tag(coop,"coop") + tag(cost,"cost") + 
                          tag(target,"target"))


###################################################
### chunk number 17: JointEstimationParam.zelig
###################################################
 z.out3 <- zelig(fml3, model = "bprobit", data = sanction)
 summary(z.out3)


###################################################
### chunk number 18: JointEstimationParam.setx
###################################################
 x.out3 <- setx(z.out3, cost = 1:4)


###################################################
### chunk number 19: JointEstimationParam.sim
###################################################
 s.out3 <- sim(z.out3, x = x.out3)
 summary(s.out3)


###################################################
### chunk number 20: afterpkgs
###################################################
 after<-search()
 torm<-setdiff(after,before)
 for (pkg in torm)
 detach(pos=match(pkg,search()))


