###################################################
### chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
library(Zelig)


###################################################
### chunk number 3: Example.data
###################################################
 data(turnout)


###################################################
### chunk number 4: Example.zelig
###################################################
 z.out1 <- zelig(vote ~ age + race,  model = "logit", data = turnout) 


###################################################
### chunk number 5: Example.setx
###################################################
 x.out1 <- setx(z.out1, age = 36, race = "white")


###################################################
### chunk number 6: Example.sim
###################################################
 s.out1 <- sim(z.out1, x = x.out1)


###################################################
### chunk number 7: Example.summary
###################################################
 summary(s.out1)


###################################################
### chunk number 8: ExamplePlot
###################################################
 plot(s.out1)


###################################################
### chunk number 9: FirstDifferences.setx
###################################################
 z.out2 <- zelig(vote ~ race + educate, model = "logit", data = turnout)
 x.high <- setx(z.out2, educate = quantile(turnout$educate, prob = 0.75))
 x.low <- setx(z.out2, educate = quantile(turnout$educate, prob = 0.25))


###################################################
### chunk number 10: FirstDifferences.sim
###################################################
 s.out2 <- sim(z.out2, x = x.high, x1 = x.low)


###################################################
### chunk number 11: FirstDifferences.summary
###################################################
 summary(s.out2)


###################################################
### chunk number 12: FirstDifferencesPlot
###################################################
 plot(s.out2)


###################################################
### chunk number 13: ROC.zelig
###################################################
 z.out1 <- zelig(vote ~ race + educate + age, model = "logit", 
                  data = turnout)
 z.out2 <- zelig(vote ~ race + educate, model = "logit", data = turnout)


###################################################
### chunk number 14: ROCPlot
###################################################

rocplot(z.out1$y, z.out2$y, fitted(z.out1), fitted(z.out2))


###################################################
### chunk number 15: afterpkgs
###################################################
 after<-search()
 torm<-setdiff(after,before)
 for (pkg in torm)
 detach(pos=match(pkg,search()))


