###################################################
### chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
library(Zelig)
library(survey) 


###################################################
### chunk number 3: Existing.data
###################################################
data(api, package="survey") 


###################################################
### chunk number 4: Existing.zelig
###################################################
z.out1 <- zelig(api00 ~ meals + yr.rnd, model = "normal.survey",  weights=~pw,
data = apistrat) 


###################################################
### chunk number 5: Existing.summary
###################################################
 summary(z.out1)


###################################################
### chunk number 6: Existing.setx
###################################################
x.low <- setx(z.out1, meals=quantile(apistrat$meals, 0.2)) 
x.high <- setx(z.out1, meals=quantile(apistrat$meals, 0.8)) 


###################################################
### chunk number 7: Existing.sim
###################################################
 s.out1 <- sim(z.out1, x = x.high, x1 = x.low)


###################################################
### chunk number 8: Existing.summary.sim
###################################################
 summary(s.out1)


###################################################
### chunk number 9: ExistingPlot
###################################################
 plot(s.out1)


###################################################
### chunk number 10: Complex.zelig
###################################################
z.out2 <- zelig(api00 ~ meals + yr.rnd, 
model = "normal.survey", strata=~stype, fpc=~fpc, data = apistrat) 


###################################################
### chunk number 11: Complex.output
###################################################
summary(z.out2) 


###################################################
### chunk number 12: Replicate.data
###################################################
data(scd, package="survey") 


###################################################
### chunk number 13: Replicate.rw
###################################################
BRRrep<-2*cbind(c(1,0,1,0,1,0),c(1,0,0,1,0,1), c(0,1,1,0,0,1),c(0,1,0,1,1,0)) 


###################################################
### chunk number 14: Replicate.zelig
###################################################
z.out3 <- zelig(alive ~ arrests , model = "poisson.survey", 
  repweights=BRRrep, type="BRR", data=scd)


###################################################
### chunk number 15: Replicate.summary
###################################################
 summary(z.out3)


###################################################
### chunk number 16: Replicate.setx
###################################################
x.low <- setx(z.out3, arrests = quantile(scd$arrests, .2))
x.high <- setx(z.out3, arrests = quantile(scd$arrests,.8))


###################################################
### chunk number 17: Replicate.sim
###################################################
s.out3<- sim(z.out3, x=x.low, x1=x.high) 


###################################################
### chunk number 18: Replicate.summary.sim
###################################################
 summary(s.out3)


###################################################
### chunk number 19: ReplicatePlot
###################################################
 plot(s.out3)


###################################################
### chunk number 20: afterpkgs
###################################################
  after<-search()
  torm<-setdiff(after,before)
  for (pkg in torm)
  detach(pos=match(pkg,search()))


