###################################################
### chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
library(Zelig)


###################################################
### chunk number 3: Example.data
###################################################
 data(sanction)


###################################################
### chunk number 4: Example.factor
###################################################
 sanction$ncost <- factor(sanction$ncost, ordered = TRUE,
                           levels = c("net gain", "little effect", 
                           "modest loss", "major loss"))


###################################################
### chunk number 5: Example.zelig
###################################################
 z.out <- zelig(ncost ~ mil + coop, model = "oprobit", data = sanction)
 summary(z.out)


###################################################
### chunk number 6: Example.setx
###################################################
 x.out <- setx(z.out, fn = NULL)


###################################################
### chunk number 7: Example.sim
###################################################
 s.out <- sim(z.out, x = x.out)
 summary(s.out)


###################################################
### chunk number 8: ExamplePlot
###################################################
# plot(s.out)


###################################################
### chunk number 9: FirstDifferences.zelig
###################################################
 z.out <- zelig(as.factor(cost) ~ mil + coop, model = "oprobit", 
                 data = sanction)


###################################################
### chunk number 10: FirstDifferences.summary
###################################################
summary(z.out)


###################################################
### chunk number 11: FirstDifferences.setx
###################################################
 x.low <- setx(z.out, mil = 0)
 x.high <- setx(z.out, mil = 1)


###################################################
### chunk number 12: FirstDifferences.sim
###################################################
 s.out <- sim(z.out, x = x.low, x1 = x.high)


###################################################
### chunk number 13: FirstDifferences.summary.sim
###################################################
summary(s.out)


###################################################
### chunk number 14: FirstDifferencesPlot
###################################################
 plot(s.out)


###################################################
### chunk number 15: afterpkgs
###################################################
 after<-search()
 torm<-setdiff(after,before)
 for (pkg in torm)
 detach(pos=match(pkg,search()))


