###################################################
### chunk number 1: beforepkgs
###################################################
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
library(Zelig)


###################################################
### chunk number 3: Examples.data
###################################################
 data(stackloss)


###################################################
### chunk number 4: Examples.zelig
###################################################
 z.out1 <- zelig(stack.loss ~  Air.Flow + Water.Temp + Acid.Conc., model = "quantile", 
                data = stackloss, tau=0.5)


###################################################
### chunk number 5: Examples.summary
###################################################
 summary(z.out1)


###################################################
### chunk number 6: Examples.setx
###################################################
 x.high <- setx(z.out1, Water.Temp = quantile(stackloss$Water.Temp, 0.8))
 x.low <- setx(z.out1, Water.Temp = quantile(stackloss$Water.Temp, 0.2))


###################################################
### chunk number 7: Examples.sim
###################################################
 s.out1 <- sim(z.out1, x = x.high, x1 = x.low)


###################################################
### chunk number 8: Examples.summary.sim
###################################################
summary(s.out1)


###################################################
### chunk number 9: ExamplesPlot
###################################################
 plot(s.out1)


###################################################
### chunk number 10: Dummy.zelig
###################################################
 data(macro)
 z.out2 <- zelig(unem ~ gdp + trade + capmob + as.factor(country), 
                  model = "quantile", tau=0.5, data = macro)


###################################################
### chunk number 11: Dummy.setx
###################################################
 x.US <- setx(z.out2, country = "United States")
 x.Japan <- setx(z.out2, country = "Japan")


###################################################
### chunk number 12: Dummy.sim
###################################################
 s.out2 <- sim(z.out2, x = x.US, x1 = x.Japan)


###################################################
### chunk number 13: DummyPlot
###################################################
 plot(s.out2)


###################################################
### chunk number 14: Multiple.zelig
###################################################
 data(engel)
 z.out3 <- zelig(foodexp ~ income, model = "quantile", tau=seq(0.1,0.9,by=0.1), data = engel)


###################################################
### chunk number 15: Multiple.zelig.summary
###################################################
 summary(z.out3)


###################################################
### chunk number 16: MultiplePlot
###################################################
 plot(summary(z.out3))


###################################################
### chunk number 17: Multiple.setx
###################################################
 x.bottom <- setx(z.out3, income=quantile(engel$income, 0.25))
 x.top <- setx(z.out3, income=quantile(engel$income, 0.75))


###################################################
### chunk number 18: Multiple.sim
###################################################
 s.out3 <- sim(z.out3, x = x.bottom, x1 = x.top)


###################################################
### chunk number 19: Example4.sim.summary
###################################################
summary(s.out3)


###################################################
### chunk number 20: afterpkgs
###################################################
 after<-search()
 torm<-setdiff(after,before)
 for (pkg in torm)
 detach(pos=match(pkg,search()))


